export interface FetchAccountsResponse {
    viewer: Viewer;
}

export interface Viewer {
    id: string;
    accounts: Accounts;
}

export interface Accounts {
    nodes: Array<Node>;
    totalCount: number;
}

export interface Node {
    id: string;
    accountNumber: string;
    name: string;
    kennitala: string;
    owner: string;
    state: string;
    isVaxtareikningur30: boolean;
    isNoticeAccount: boolean;
    currency: string;
    isCurrencyAccount: boolean;
    availableAmount: number;
    balance: number;
    orderedAmountAvailable: number;
    orderedAmountTotal: number;
}
